CREATE PROCEDURE [dbo].[spSelectMenuItem]
  @in_menu_id int
AS
BEGIN
	DECLARE @MenuItemCount int;
	SELECT @MenuItemCount=(SELECT count(*) FROM tblMenu WHERE menu_id=@in_menu_id);

	IF @MenuItemCount = 0
		SET @in_menu_id = 1
	SELECT * FROM tblMenu WHERE menu_id=@in_menu_id;
END